> ## Documentation Index
> Fetch the complete documentation index at: https://docs.simpu.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get OTP by Recipient

> Retrieve all OTPs based on the recipient supplied



## OpenAPI

````yaml GET /otp/get-by-recipient
openapi: 3.0.1
info:
  title: OpenAPI Simpu API
  description: Simpu API Documentation
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.simpu.co
security:
  - apiKeyAuth: []
paths:
  /otp/get-by-recipient:
    get:
      description: Retrieve all OTPs based on the recipient supplied
      parameters:
        - name: recipient
          in: path
          description: Recipient of OTPs to retrieve
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OTP response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/OTP'
components:
  schemas:
    OTP:
      required:
        - id
        - recipient
        - status
        - status_desc
        - created_datetime
      type: object
      properties:
        id:
          description: ID of the OTP token
          type: string
          example: 674535b2b39158b9aae90188fcec23eb
        recipient:
          description: Recipient of the OTP token
          type: string
          example: '2348023456789'
        status:
          description: Status of the OTP token
          type: number
          example: 1
        status_desc:
          description: Description of the status of the OTP token
          type: string
          example: SENT
        created_datetime:
          description: Date and time the OTP token was created
          type: string
          example: '2024-06-28T23:56:38.128604+00:00'
        updated_datetime:
          description: Date and time the OTP token was last updated, if any
          type: string
          example: '2024-06-28T23:56:38.128604+00:00'
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: An API key to authenticate requests

````